| OpendTect 8.0

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Protected Attributes | List of all members
uiODViewer2D Class Reference
uiODMain

A 2D Viewer. More...

`#include <uiodviewer2d.h>`

Inheritance diagram for uiODViewer2D:
[legend]

## Public Member Functions
| uiODViewer2D (uiODMain &, const VisID &)
| ~uiODViewer2D ()
void | addFaults (const TypeSet< EM::ObjectID > &)
void | addFaultSS2Ds (const TypeSet< EM::ObjectID > &)
void | addFaultSSs (const TypeSet< EM::ObjectID > &)
void | addHorizon2Ds (const TypeSet< EM::ObjectID > &)
void | addHorizon3Ds (const TypeSet< EM::ObjectID > &)
void | addNewTempFault (EM::ObjectID emid)
void | addNewTempFaultSS (EM::ObjectID emid)
void | addNewTempFaultSS2D (EM::ObjectID emid)
void | addNewTrackingHorizon2D (EM::ObjectID emid)
void | addNewTrackingHorizon3D (EM::ObjectID)
void | addPickSets (const TypeSet< MultiID > &)
DataPackID | createDataPack (bool wva) const
DataPackID | createDataPack (const Attrib::SelSpec &) const
DataPackID | createDataPackForTransformedZSlice (const Attrib::SelSpec &) const
RefMan< SeisFlatDataPack > | createDataPackRM (bool wva) const
RefMan< SeisFlatDataPack > | createDataPackRM (const Attrib::SelSpec &) const
DataPackID | createFlatDataPack (const DataPackID &, int comp) const
DataPackID | createFlatDataPack (const SeisDataPack &, int comp) const
RefMan< SeisFlatDataPack > | createFlatDataPackRM (const DataPackID &, int comp) const
RefMan< SeisFlatDataPack > | createFlatDataPackRM (const VolumeDataPack &, int comp) const
DataPackID | createMapDataPack (const RegularFlatDataPack &)
RefMan< MapDataPack > | createMapDataPackRM (const RegularSeisFlatDataPack &)
const ObjectSet< uiFlatViewAuxDataEditor > & | dataEditor ()
View2D::DataManager * | dataMgr ()
const View2D::DataManager * | dataMgr () const
virtual void | fillPar (IOPar &) const
Pos::GeomID | geomID () const
RefMan< SeisFlatDataPack > | getDataPack (bool wva) const
DataPackID | getDataPackID (bool wva) const
void | getFaultSS2DVwr2DIDs (EM::ObjectID emid, TypeSet< Vis2DID > &) const
void | getFaultSSVwr2DIDs (EM::ObjectID emid, TypeSet< Vis2DID > &) const
void | getFaultVwr2DIDs (EM::ObjectID emid, TypeSet< Vis2DID > &) const
void | getHor2DVwr2DIDs (EM::ObjectID emid, TypeSet< Vis2DID > &) const
void | getHor3DVwr2DIDs (EM::ObjectID emid, TypeSet< Vis2DID > &) const
void | getLoadedFaults (TypeSet< EM::ObjectID > &) const
void | getLoadedFaultSS2Ds (TypeSet< EM::ObjectID > &) const
void | getLoadedFaultSSs (TypeSet< EM::ObjectID > &) const
void | getLoadedHorizon2Ds (TypeSet< EM::ObjectID > &) const
void | getLoadedHorizon3Ds (TypeSet< EM::ObjectID > &) const
void | getLoadedPickSets (TypeSet< MultiID > &) const
View2D::DataObject * | getObject (const Vis2DID &)
const View2D::DataObject * | getObject (const Vis2DID &) const
void | getObjects (ObjectSet< View2D::DataObject > &) const
void | getPickSetVwr2DIDs (const MultiID &mid, TypeSet< Vis2DID > &) const
RandomLineID | getRandomLineID () const
SceneID | getSyncSceneID () const
const TrcKeyZSampling & | getTrcKeyZSampling () const
void | getVwr2DObjIDs (TypeSet< Vis2DID > &) const
ZAxisTransform * | getZAxisTransform ()
const ZAxisTransform * | getZAxisTransform () const
bool | hasZAxisTransform () const
Viewer2DID | ID () const
bool | isItemPresent (const uiTreeItem *) const
bool | isVertical () const
void | makeUpView (const DataPackID &, FlatView::Viewer::VwrDest)
void | makeUpView (FlatDataPack *, FlatView::Viewer::VwrDest)
| mDeclInstanceCreatedNotifierAccess (uiODViewer2D)
int | nrXYDec (int vwridx=0) const
int | nrZDec (int vwridx=0) const
void | removeFault (EM::ObjectID emid)
void | removeFaultSS (EM::ObjectID emid)
void | removeFaultSS2D (EM::ObjectID emid)
void | removeHorizon2D (EM::ObjectID emid)
void | removeHorizon3D (EM::ObjectID emid)
void | removePickSet (const MultiID &)
Attrib::SelSpec & | selSpec (bool wva)
const Attrib::SelSpec & | selSpec (bool wva) const
void | setDataPack (const DataPackID &, bool wva, bool isnew)
void | setDataPack (const DataPackID &, FlatView::Viewer::VwrDest, bool isnew)
void | setInitialCentre (const uiWorldPoint &wp)
void | setInitialX1PosPerCM (float val)
void | setInitialX2PosPerCM (float val)
void | setMouseCursorExchange (MouseCursorExchange *)
virtual void | setPos (const TrcKeyZSampling &)
void | setRandomLineID (const RandomLineID &id)
void | setSelSpec (const Attrib::SelSpec *, bool wva)
void | setSelSpec (const Attrib::SelSpec *, FlatView::Viewer::VwrDest)
void | setTrcKeyZSampling (const TrcKeyZSampling &, TaskRunner *=nullptr)
void | setUpAux ()
void | setupNewPickSet (const MultiID &)
void | setupNewTempFault (EM::ObjectID emid)
void | setupNewTempFaultSS (EM::ObjectID emid)
void | setupNewTempFaultSS2D (EM::ObjectID emid)
void | setupTrackingHorizon2D (EM::ObjectID)
void | setupTrackingHorizon3D (EM::ObjectID)
virtual void | setUpView (const DataPackID &, bool wva)
virtual void | setWinTitle (bool fromvisobjinfo)
bool | setZAxisTransform (ZAxisTransform *)
uiSlicePos2DView * | slicePos ()
uiODView2DTreeTop * | treeTop ()
const uiTreeFactorySet * | uiTreeItemFactorySet () const
virtual void | usePar (const IOPar &)
bool | useStoredDispPars (bool wva)
bool | useStoredDispPars (FlatView::Viewer::VwrDest)
uiFlatViewStdControl * | viewControl ()
const uiFlatViewStdControl * | viewControl () const
uiParent * | viewerParent ()
uiFlatViewWin * | viewwin ()
const uiFlatViewWin * | viewwin () const
VisID | visID () const
const ZDomain::Info & | zDomain (bool display) const
const ZDomain::Def & | zDomainDef () const
Public Member Functions inherited from CallBacker
| CallBacker ()
| CallBacker (const CallBacker &)
virtual | ~CallBacker ()
bool | attachCB (const NotifierAccess &, const CallBack &, bool onlyifnew=false) const
bool | attachCB (const NotifierAccess *notif, const CallBack &cb, bool onlyifnew=false) const
void | detachAllNotifiers () const
| Call from the destructor of your inherited object.
void | detachCB (const NotifierAccess &, const CallBack &) const
void | detachCB (const NotifierAccess *notif, const CallBack &cb) const
virtual bool | isCapsule () const
bool | isNotifierAttached (const NotifierAccess *) const
| Only for debugging purposes, don't use.
CallBacker & | operator= (const CallBacker &)=delete
void | stopReceivingNotifications () const
virtual CallBacker * | trueCaller ()

## Static Public Member Functions
static const char * | sKeyPos ()
static const char * | sKeyVDSelSpec ()
static const char * | sKeyWVASelSpec ()
Static Public Member Functions inherited from CallBacker
static void | createReceiverForCurrentThread ()
static void | removeReceiverForCurrentThread ()

## Public Attributes
Notifier< uiODViewer2D > | dataChanged
Notifier< uiODViewer2D > | posChanged
Notifier< uiODViewer2D > | viewWinAvailable
Notifier< uiODViewer2D > | viewWinClosed

## Protected Member Functions
void | adjustOthrDisp (bool wva, bool isnew)
void | adjustOthrDisp (FlatView::Viewer::VwrDest, bool isnew)
void | applClosed (CallBacker *)
RefMan< SeisFlatDataPack > | createDataPackForTransformedZSliceRM (const Attrib::SelSpec &) const
virtual void | createPolygonSelBut (uiToolBar *)
virtual void | createTree (uiMainWin *)
virtual void | createViewWin (bool isvert, bool needslicepos, const ZDomain::Info *)
void | createViewWinEditors ()
void | dispPropChangedCB (CallBacker *)
uiString | getInfoTitle () const
void | handleToolClick (CallBacker *)
void | itmSelectionChangedCB (CallBacker *)
void | mouseCursorCB (CallBacker *)
void | mouseMoveCB (CallBacker *)
void | posChg (CallBacker *)
void | rebuildTree ()
void | removeAvailablePacks ()
void | removeSelected (CallBacker *)
void | selectionMode (CallBacker *)
void | setDataPack (FlatDataPack *, bool wva, bool isnew)
void | setDataPack (FlatDataPack *, FlatView::Viewer::VwrDest, bool isnew)
void | trackSetupCB (CallBacker *)
void | winCloseCB (CallBacker *)

## Protected Attributes
uiODMain & | appl_
ObjectSet< uiFlatViewAuxDataEditor > | auxdataeditors_
uiString | basetxt_
View2D::DataManager * | datamgr_
RefMan< ZAxisTransform > | datatransform_
Viewer2DID | id_
uiWorldPoint | initialcentre_
float | initialx1pospercm_ = mUdf(float)
float | initialx2pospercm_ = mUdf(float)
bool | ispolyselect_ = true
bool | isvertical_ = true
FlatView::AuxData * | marker_ = nullptr
MouseCursorExchange * | mousecursorexchange_ = nullptr
int | picksettingstbid_ = -1
int | polyseltbid_ = -1
RandomLineID | rdmlineid_
uiSlicePos2DView * | slicepos_ = nullptr
SceneID | syncsceneid_
uiTreeFactorySet * | tifs_ = nullptr
TrcKeyZSampling | tkzs_
uiODView2DTreeTop * | treetp_ = nullptr
RefMan< SeisFlatDataPack > | vddp_
Attrib::SelSpec & | vdselspec_
uiFlatViewStdControl * | viewstdcontrol_ = nullptr
uiFlatViewWin * | viewwin_ = nullptr
VisID | visid_
int | voiidx_ = -1
RefMan< SeisFlatDataPack > | wvadp_
Attrib::SelSpec & | wvaselspec_

## Detailed Description

A 2D Viewer.

<>

## Constructor & Destructor Documentation

## ◆ uiODViewer2D()

uiODViewer2D::uiODViewer2D | ( | uiODMain & | ,
|  | const VisID & | )

## ◆ ~uiODViewer2D()

uiODViewer2D::~uiODViewer2D | ( |  | ) |

## Member Function Documentation

## ◆ addFaults()

void uiODViewer2D::addFaults | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addFaultSS2Ds()

void uiODViewer2D::addFaultSS2Ds | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addFaultSSs()

void uiODViewer2D::addFaultSSs | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addHorizon2Ds()

void uiODViewer2D::addHorizon2Ds | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addHorizon3Ds()

void uiODViewer2D::addHorizon3Ds | ( | const TypeSet< EM::ObjectID > & |  | ) |

## ◆ addNewTempFault()

void uiODViewer2D::addNewTempFault | ( | EM::ObjectID | emid | ) |

## ◆ addNewTempFaultSS()

void uiODViewer2D::addNewTempFaultSS | ( | EM::ObjectID | emid | ) |

## ◆ addNewTempFaultSS2D()

void uiODViewer2D::addNewTempFaultSS2D | ( | EM::ObjectID | emid | ) |

## ◆ addNewTrackingHorizon2D()

void uiODViewer2D::addNewTrackingHorizon2D | ( | EM::ObjectID | emid | ) |

## ◆ addNewTrackingHorizon3D()

void uiODViewer2D::addNewTrackingHorizon3D | ( | EM::ObjectID |  | ) |

## ◆ addPickSets()

void uiODViewer2D::addPickSets | ( | const TypeSet< MultiID > & |  | ) |

## ◆ adjustOthrDisp() [1/2]

void uiODViewer2D::adjustOthrDisp | ( | bool | wva,
|  | bool | isnew )
| protected

## ◆ adjustOthrDisp() [2/2]

void uiODViewer2D::adjustOthrDisp | ( | FlatView::Viewer::VwrDest | ,
|  | bool | isnew )
| protected

## ◆ applClosed()

void uiODViewer2D::applClosed | ( | CallBacker * |  | ) |
| protected

## ◆ createDataPack() [1/2]

DataPackID uiODViewer2D::createDataPack | ( | bool | wva | ) | const

## ◆ createDataPack() [2/2]

DataPackID uiODViewer2D::createDataPack | ( | const Attrib::SelSpec & |  | ) | const

Creates RegularSeisFlatDataPack by getting TrcKeyZSampling from slicepos_. Uses the existing TrcKeyZSampling, if there is no slicepos_. Also transforms data if the 2D Viewer hasZAxisTransform().

## ◆ createDataPackForTransformedZSlice()

DataPackID uiODViewer2D::createDataPackForTransformedZSlice | ( | const Attrib::SelSpec & |  | ) | const

## ◆ createDataPackForTransformedZSliceRM()

RefMan< SeisFlatDataPack > uiODViewer2D::createDataPackForTransformedZSliceRM | ( | const Attrib::SelSpec & |  | ) | const
| protected

## ◆ createDataPackRM() [1/2]

RefMan< SeisFlatDataPack > uiODViewer2D::createDataPackRM | ( | bool | wva | ) | const

## ◆ createDataPackRM() [2/2]

RefMan< SeisFlatDataPack > uiODViewer2D::createDataPackRM | ( | const Attrib::SelSpec & |  | ) | const

Creates and returns reference to a RegularSeisFlatDataPack by getting TrcKeyZSampling from slicepos_. Uses the existing TrcKeyZSampling, if there is no slicepos_. Also transforms data if the 2D Viewer hasZAxisTransform().

## ◆ createFlatDataPack() [1/2]

DataPackID uiODViewer2D::createFlatDataPack | ( | const DataPackID & | ,
|  | int | comp ) const

Creates a FlatDataPack from VolumeDataPack. Either a transformed or a non-transformed datapack can be passed. The returned datapack will always be in transformed domain if the viewer hasZAxisTransform().

## ◆ createFlatDataPack() [2/2]

DataPackID uiODViewer2D::createFlatDataPack | ( | const SeisDataPack & | ,
|  | int | comp ) const

Creates a FlatDataPack from SeisDataPack. Either a transformed or a non-transformed datapack can be passed. The returned datapack will always be in transformed domain if the viewer hasZAxisTransform().

## ◆ createFlatDataPackRM() [1/2]

RefMan< SeisFlatDataPack > uiODViewer2D::createFlatDataPackRM | ( | const DataPackID & | ,
|  | int | comp ) const

Creates a SeisFlatDataPack from a VolumeDataPack. Either a transformed or a non-transformed datapack can be passed. The returned datapack will always be in transformed domain if the viewer hasZAxisTransform().

## ◆ createFlatDataPackRM() [2/2]

RefMan< SeisFlatDataPack > uiODViewer2D::createFlatDataPackRM | ( | const VolumeDataPack & | ,
|  | int | comp ) const

Creates a SeisFlatDataPack from a VolumeDataPack. Either a transformed or a non-transformed datapack can be passed. The returned datapack will always be in transformed domain if the viewer hasZAxisTransform().

## ◆ createMapDataPack()

DataPackID uiODViewer2D::createMapDataPack | ( | const RegularFlatDataPack & |  | ) |

## ◆ createMapDataPackRM()

RefMan< MapDataPack > uiODViewer2D::createMapDataPackRM | ( | const RegularSeisFlatDataPack & |  | ) |

## ◆ createPolygonSelBut()

virtual void uiODViewer2D::createPolygonSelBut | ( | uiToolBar * |  | ) |
| protected virtual

## ◆ createTree()

virtual void uiODViewer2D::createTree | ( | uiMainWin * |  | ) |
| protected virtual

## ◆ createViewWin()

virtual void uiODViewer2D::createViewWin | ( | bool | isvert,
|  | bool | needslicepos,
|  | const ZDomain::Info * | )
| protected virtual

## ◆ createViewWinEditors()

void uiODViewer2D::createViewWinEditors | ( |  | ) |
| protected

## ◆ dataEditor()

const ObjectSet< uiFlatViewAuxDataEditor > & uiODViewer2D::dataEditor | ( |  | ) |
| inline

## ◆ dataMgr() [1/2]

View2D::DataManager * uiODViewer2D::dataMgr | ( |  | ) |
| inline

## ◆ dataMgr() [2/2]

const View2D::DataManager * uiODViewer2D::dataMgr | ( |  | ) | const
| inline

## ◆ dispPropChangedCB()

void uiODViewer2D::dispPropChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ fillPar()

virtual void uiODViewer2D::fillPar | ( | IOPar & |  | ) | const
| virtual

## ◆ geomID()

Pos::GeomID uiODViewer2D::geomID | ( |  | ) | const

## ◆ getDataPack()

RefMan< SeisFlatDataPack > uiODViewer2D::getDataPack | ( | bool | wva | ) | const

Returns reference to DataPack of specified display if it has a valid one. Returns refernce ot DataPack of other display if both have same Attrib::SelSpec. Else, returns uiODViewer2D::createDataPack.

## ◆ getDataPackID()

DataPackID uiODViewer2D::getDataPackID | ( | bool | wva | ) | const

Returns DataPackID of specified display if it has a valid one. Returns DataPackID of other display if both have same Attrib::SelSpec. Else, returns uiODViewer2D::createDataPack.

## ◆ getFaultSS2DVwr2DIDs()

void uiODViewer2D::getFaultSS2DVwr2DIDs | ( | EM::ObjectID | emid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getFaultSSVwr2DIDs()

void uiODViewer2D::getFaultSSVwr2DIDs | ( | EM::ObjectID | emid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getFaultVwr2DIDs()

void uiODViewer2D::getFaultVwr2DIDs | ( | EM::ObjectID | emid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getHor2DVwr2DIDs()

void uiODViewer2D::getHor2DVwr2DIDs | ( | EM::ObjectID | emid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getHor3DVwr2DIDs()

void uiODViewer2D::getHor3DVwr2DIDs | ( | EM::ObjectID | emid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getInfoTitle()

uiString uiODViewer2D::getInfoTitle | ( |  | ) | const
| protected

## ◆ getLoadedFaults()

void uiODViewer2D::getLoadedFaults | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedFaultSS2Ds()

void uiODViewer2D::getLoadedFaultSS2Ds | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedFaultSSs()

void uiODViewer2D::getLoadedFaultSSs | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedHorizon2Ds()

void uiODViewer2D::getLoadedHorizon2Ds | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedHorizon3Ds()

void uiODViewer2D::getLoadedHorizon3Ds | ( | TypeSet< EM::ObjectID > & |  | ) | const

## ◆ getLoadedPickSets()

void uiODViewer2D::getLoadedPickSets | ( | TypeSet< MultiID > & |  | ) | const

## ◆ getObject() [1/2]

View2D::DataObject * uiODViewer2D::getObject | ( | const Vis2DID & |  | ) |

## ◆ getObject() [2/2]

const View2D::DataObject * uiODViewer2D::getObject | ( | const Vis2DID & |  | ) | const

## ◆ getObjects()

void uiODViewer2D::getObjects | ( | ObjectSet< View2D::DataObject > & |  | ) | const

## ◆ getPickSetVwr2DIDs()

void uiODViewer2D::getPickSetVwr2DIDs | ( | const MultiID & | mid,
|  | TypeSet< Vis2DID > & | ) const

## ◆ getRandomLineID()

RandomLineID uiODViewer2D::getRandomLineID | ( |  | ) | const
| inline

## ◆ getSyncSceneID()

SceneID uiODViewer2D::getSyncSceneID | ( |  | ) | const

## ◆ getTrcKeyZSampling()

const TrcKeyZSampling & uiODViewer2D::getTrcKeyZSampling | ( |  | ) | const
| inline

## ◆ getVwr2DObjIDs()

void uiODViewer2D::getVwr2DObjIDs | ( | TypeSet< Vis2DID > & |  | ) | const

## ◆ getZAxisTransform() [1/2]

ZAxisTransform * uiODViewer2D::getZAxisTransform | ( |  | ) |

## ◆ getZAxisTransform() [2/2]

const ZAxisTransform * uiODViewer2D::getZAxisTransform | ( |  | ) | const

## ◆ handleToolClick()

void uiODViewer2D::handleToolClick | ( | CallBacker * |  | ) |
| protected

## ◆ hasZAxisTransform()

bool uiODViewer2D::hasZAxisTransform | ( |  | ) | const
| inline

## ◆ ID()

Viewer2DID uiODViewer2D::ID | ( |  | ) | const
| inline

## ◆ isItemPresent()

bool uiODViewer2D::isItemPresent | ( | const uiTreeItem * |  | ) | const

## ◆ isVertical()

bool uiODViewer2D::isVertical | ( |  | ) | const
| inline

## ◆ itmSelectionChangedCB()

void uiODViewer2D::itmSelectionChangedCB | ( | CallBacker * |  | ) |
| protected

## ◆ makeUpView() [1/2]

void uiODViewer2D::makeUpView | ( | const DataPackID & | ,
|  | FlatView::Viewer::VwrDest | )

## ◆ makeUpView() [2/2]

void uiODViewer2D::makeUpView | ( | FlatDataPack * | ,
|  | FlatView::Viewer::VwrDest | )

## ◆ mDeclInstanceCreatedNotifierAccess()

uiODViewer2D::mDeclInstanceCreatedNotifierAccess | ( | uiODViewer2D |  | ) |

## ◆ mouseCursorCB()

void uiODViewer2D::mouseCursorCB | ( | CallBacker * |  | ) |
| protected

## ◆ mouseMoveCB()

void uiODViewer2D::mouseMoveCB | ( | CallBacker * |  | ) |
| protected

## ◆ nrXYDec()

int uiODViewer2D::nrXYDec | ( | int | vwridx = 0 | ) | const

## ◆ nrZDec()

int uiODViewer2D::nrZDec | ( | int | vwridx = 0 | ) | const

## ◆ posChg()

void uiODViewer2D::posChg | ( | CallBacker * |  | ) |
| protected

## ◆ rebuildTree()

void uiODViewer2D::rebuildTree | ( |  | ) |
| protected

## ◆ removeAvailablePacks()

void uiODViewer2D::removeAvailablePacks | ( |  | ) |
| protected

## ◆ removeFault()

void uiODViewer2D::removeFault | ( | EM::ObjectID | emid | ) |

## ◆ removeFaultSS()

void uiODViewer2D::removeFaultSS | ( | EM::ObjectID | emid | ) |

## ◆ removeFaultSS2D()

void uiODViewer2D::removeFaultSS2D | ( | EM::ObjectID | emid | ) |

## ◆ removeHorizon2D()

void uiODViewer2D::removeHorizon2D | ( | EM::ObjectID | emid | ) |

## ◆ removeHorizon3D()

void uiODViewer2D::removeHorizon3D | ( | EM::ObjectID | emid | ) |

## ◆ removePickSet()

void uiODViewer2D::removePickSet | ( | const MultiID & |  | ) |

## ◆ removeSelected()

void uiODViewer2D::removeSelected | ( | CallBacker * |  | ) |
| protected

## ◆ selectionMode()

void uiODViewer2D::selectionMode | ( | CallBacker * |  | ) |
| protected

## ◆ selSpec() [1/2]

Attrib::SelSpec & uiODViewer2D::selSpec | ( | bool | wva | ) |
| inline

## ◆ selSpec() [2/2]

const Attrib::SelSpec & uiODViewer2D::selSpec | ( | bool | wva | ) | const
| inline

## ◆ setDataPack() [1/4]

void uiODViewer2D::setDataPack | ( | const DataPackID & | ,
|  | bool | wva,
|  | bool | isnew )

## ◆ setDataPack() [2/4]

void uiODViewer2D::setDataPack | ( | const DataPackID & | ,
|  | FlatView::Viewer::VwrDest | ,
|  | bool | isnew )

## ◆ setDataPack() [3/4]

void uiODViewer2D::setDataPack | ( | FlatDataPack * | ,
|  | bool | wva,
|  | bool | isnew )
| protected

## ◆ setDataPack() [4/4]

void uiODViewer2D::setDataPack | ( | FlatDataPack * | ,
|  | FlatView::Viewer::VwrDest | ,
|  | bool | isnew )
| protected

## ◆ setInitialCentre()

void uiODViewer2D::setInitialCentre | ( | const uiWorldPoint & | wp | ) |
| inline

## ◆ setInitialX1PosPerCM()

void uiODViewer2D::setInitialX1PosPerCM | ( | float | val | ) |
| inline

## ◆ setInitialX2PosPerCM()

void uiODViewer2D::setInitialX2PosPerCM | ( | float | val | ) |
| inline

## ◆ setMouseCursorExchange()

void uiODViewer2D::setMouseCursorExchange | ( | MouseCursorExchange * |  | ) |

## ◆ setPos()

virtual void uiODViewer2D::setPos | ( | const TrcKeyZSampling & |  | ) |
| virtual

## ◆ setRandomLineID()

void uiODViewer2D::setRandomLineID | ( | const RandomLineID & | id | ) |
| inline

## ◆ setSelSpec() [1/2]

void uiODViewer2D::setSelSpec | ( | const Attrib::SelSpec * | ,
|  | bool | wva )

## ◆ setSelSpec() [2/2]

void uiODViewer2D::setSelSpec | ( | const Attrib::SelSpec * | ,
|  | FlatView::Viewer::VwrDest | )

## ◆ setTrcKeyZSampling()

void uiODViewer2D::setTrcKeyZSampling | ( | const TrcKeyZSampling & | ,
|  | TaskRunner * | = nullptr )

## ◆ setUpAux()

void uiODViewer2D::setUpAux | ( |  | ) |

## ◆ setupNewPickSet()

void uiODViewer2D::setupNewPickSet | ( | const MultiID & |  | ) |

## ◆ setupNewTempFault()

void uiODViewer2D::setupNewTempFault | ( | EM::ObjectID | emid | ) |

## ◆ setupNewTempFaultSS()

void uiODViewer2D::setupNewTempFaultSS | ( | EM::ObjectID | emid | ) |

## ◆ setupNewTempFaultSS2D()

void uiODViewer2D::setupNewTempFaultSS2D | ( | EM::ObjectID | emid | ) |

## ◆ setupTrackingHorizon2D()

void uiODViewer2D::setupTrackingHorizon2D | ( | EM::ObjectID |  | ) |

## ◆ setupTrackingHorizon3D()

void uiODViewer2D::setupTrackingHorizon3D | ( | EM::ObjectID |  | ) |

## ◆ setUpView()

virtual void uiODViewer2D::setUpView | ( | const DataPackID & | ,
|  | bool | wva )
| virtual

## ◆ setWinTitle()

virtual void uiODViewer2D::setWinTitle | ( | bool | fromvisobjinfo | ) |
| virtual

Parameters

  fromvisobjinfo | if true, window title will be set from visBase::DataObject info.

## ◆ setZAxisTransform()

bool uiODViewer2D::setZAxisTransform | ( | ZAxisTransform * |  | ) |

## ◆ sKeyPos()

static const char * uiODViewer2D::sKeyPos | ( |  | ) |
| inline static

## ◆ sKeyVDSelSpec()

static const char * uiODViewer2D::sKeyVDSelSpec | ( |  | ) |
| inline static

## ◆ sKeyWVASelSpec()

static const char * uiODViewer2D::sKeyWVASelSpec | ( |  | ) |
| inline static

## ◆ slicePos()

uiSlicePos2DView * uiODViewer2D::slicePos | ( |  | ) |
| inline

## ◆ trackSetupCB()

void uiODViewer2D::trackSetupCB | ( | CallBacker * |  | ) |
| protected

## ◆ treeTop()

uiODView2DTreeTop * uiODViewer2D::treeTop | ( |  | ) |
| inline

## ◆ uiTreeItemFactorySet()

const uiTreeFactorySet * uiODViewer2D::uiTreeItemFactorySet | ( |  | ) | const
| inline

## ◆ usePar()

virtual void uiODViewer2D::usePar | ( | const IOPar & |  | ) |
| virtual

## ◆ useStoredDispPars() [1/2]

bool uiODViewer2D::useStoredDispPars | ( | bool | wva | ) |

## ◆ useStoredDispPars() [2/2]

bool uiODViewer2D::useStoredDispPars | ( | FlatView::Viewer::VwrDest |  | ) |

## ◆ viewControl() [1/2]

uiFlatViewStdControl * uiODViewer2D::viewControl | ( |  | ) |
| inline

## ◆ viewControl() [2/2]

const uiFlatViewStdControl * uiODViewer2D::viewControl | ( |  | ) | const
| inline

## ◆ viewerParent()

uiParent * uiODViewer2D::viewerParent | ( |  | ) |

## ◆ viewwin() [1/2]

uiFlatViewWin * uiODViewer2D::viewwin | ( |  | ) |
| inline

## ◆ viewwin() [2/2]

const uiFlatViewWin * uiODViewer2D::viewwin | ( |  | ) | const
| inline

## ◆ visID()

VisID uiODViewer2D::visID | ( |  | ) | const
| inline

## ◆ winCloseCB()

void uiODViewer2D::winCloseCB | ( | CallBacker * |  | ) |
| protected

## ◆ zDomain()

const ZDomain::Info & uiODViewer2D::zDomain | ( | bool | display | ) | const

## ◆ zDomainDef()

const ZDomain::Def & uiODViewer2D::zDomainDef | ( |  | ) | const

## Member Data Documentation

## ◆ appl_

uiODMain& uiODViewer2D::appl_
| protected

## ◆ auxdataeditors_

ObjectSet<uiFlatViewAuxDataEditor> uiODViewer2D::auxdataeditors_
| protected

## ◆ basetxt_

uiString uiODViewer2D::basetxt_
| protected

## ◆ dataChanged

Notifier<uiODViewer2D> uiODViewer2D::dataChanged

## ◆ datamgr_

View2D::DataManager* uiODViewer2D::datamgr_
| protected

## ◆ datatransform_

RefMan<ZAxisTransform> uiODViewer2D::datatransform_
| protected

## ◆ id_

Viewer2DID uiODViewer2D::id_
| protected

Unique identifier

## ◆ initialcentre_

uiWorldPoint uiODViewer2D::initialcentre_
| protected

## ◆ initialx1pospercm_

float uiODViewer2D::initialx1pospercm_ = mUdf(float)
| protected

## ◆ initialx2pospercm_

float uiODViewer2D::initialx2pospercm_ = mUdf(float)
| protected

## ◆ ispolyselect_

bool uiODViewer2D::ispolyselect_ = true
| protected

## ◆ isvertical_

bool uiODViewer2D::isvertical_ = true
| protected

## ◆ marker_

FlatView::AuxData* uiODViewer2D::marker_ = nullptr
| protected

## ◆ mousecursorexchange_

MouseCursorExchange* uiODViewer2D::mousecursorexchange_ = nullptr
| protected

## ◆ picksettingstbid_

int uiODViewer2D::picksettingstbid_ = -1
| protected

## ◆ polyseltbid_

int uiODViewer2D::polyseltbid_ = -1
| protected

## ◆ posChanged

Notifier<uiODViewer2D> uiODViewer2D::posChanged

## ◆ rdmlineid_

RandomLineID uiODViewer2D::rdmlineid_
| protected

## ◆ slicepos_

uiSlicePos2DView* uiODViewer2D::slicepos_ = nullptr
| protected

## ◆ syncsceneid_

SceneID uiODViewer2D::syncsceneid_
| protected

## ◆ tifs_

uiTreeFactorySet* uiODViewer2D::tifs_ = nullptr
| protected

## ◆ tkzs_

TrcKeyZSampling uiODViewer2D::tkzs_
| protected

## ◆ treetp_

uiODView2DTreeTop* uiODViewer2D::treetp_ = nullptr
| protected

## ◆ vddp_

RefMan<SeisFlatDataPack> uiODViewer2D::vddp_
| protected

## ◆ vdselspec_

Attrib::SelSpec& uiODViewer2D::vdselspec_
| protected

## ◆ viewstdcontrol_

uiFlatViewStdControl* uiODViewer2D::viewstdcontrol_ = nullptr
| protected

## ◆ viewwin_

uiFlatViewWin* uiODViewer2D::viewwin_ = nullptr
| protected

## ◆ viewWinAvailable

Notifier<uiODViewer2D> uiODViewer2D::viewWinAvailable

## ◆ viewWinClosed

Notifier<uiODViewer2D> uiODViewer2D::viewWinClosed

## ◆ visid_

VisID uiODViewer2D::visid_
| protected

ID from 3D visualization

## ◆ voiidx_

int uiODViewer2D::voiidx_ = -1
| protected

## ◆ wvadp_

RefMan<SeisFlatDataPack> uiODViewer2D::wvadp_
| protected

## ◆ wvaselspec_

Attrib::SelSpec& uiODViewer2D::wvaselspec_
| protected

Generated at
for the OpendTect seismic interpretation project. Copyright (C): dGB Beheer B.V. 1995-2025